petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDAGlobalToNaturalAllCreate

Creates a scatter context that maps from the global vector the entire vector to each processor in natural numbering

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGlobalToNaturalAllCreate(DM da,VecScatter *scatter)

Collective on DMDA

### Input Parameter

da -the distributed array context

### Output Parameter

scatter -the scatter context

### Keywords

distributed array, global to local, begin, coarse problem

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

Level:advanced
Location:src/dm/impls/da/dagtona.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex2.c.html